package com.goafanti.admin.bo;

import java.util.ArrayList;
import java.util.List;

public class DepCountBo {

	private String id;
	private String name;
	private Integer userCount;
	private Integer privateCount;
	private Integer firstInterviewCount;
	private Integer receiveCount;
	private Integer completeCount;
	private Integer signCount;
	private Integer channelCount;
	private Integer newCount;
	private Integer transferCount;
	private Integer channelNewCount;
	private Integer channelCompleteCount;
	/** 一般客戶 */
	private Integer generalCount;
	/** 私有客戶 */
	private Integer intentionCount;
	/** 重点客户 */
	private Integer keynoteCount;
	private List<DepCountBo> list;
	private List<AdminCustomerBo> aList;

	public Integer getPrivateCount() {
		return privateCount;
	}

	public void setPrivateCount(Integer privateCount) {
		this.privateCount = privateCount;
	}

	public Integer getFirstInterviewCount() {
		return firstInterviewCount;
	}

	public void setFirstInterviewCount(Integer firstInterviewCount) {
		this.firstInterviewCount = firstInterviewCount;
	}

	public Integer getGeneralCount() {
		return generalCount;
	}

	public void setGeneralCount(Integer generalCount) {
		this.generalCount = generalCount;
	}

	public Integer getIntentionCount() {
		return intentionCount;
	}

	public void setIntentionCount(Integer intentionCount) {
		this.intentionCount = intentionCount;
	}

	public Integer getKeynoteCount() {
		return keynoteCount;
	}

	public void setKeynoteCount(Integer keynoteCount) {
		this.keynoteCount = keynoteCount;
	}

	public Integer getTransferCount() {
		return transferCount;
	}

	public void setTransferCount(Integer transferCount) {
		this.transferCount = transferCount;
	}

	public DepCountBo() {
		userCount = 0;
		receiveCount = 0;
		completeCount = 0;
		signCount = 0;
		channelCount = 0;
		newCount = 0;
		channelCompleteCount = 0;
		channelNewCount = 0;
		transferCount=0;
		list=new ArrayList<>();
		aList=new ArrayList<>();
	}

	public Integer getSignCount() {
		return signCount;
	}
	public void setSignCount(Integer signCount) {
		this.signCount = signCount;
	}
	public Integer getChannelCount() {
		return channelCount;
	}
	public void setChannelCount(Integer channelCount) {
		this.channelCount = channelCount;
	}
	public Integer getNewCount() {
		return newCount;
	}
	public void setNewCount(Integer newCount) {
		this.newCount = newCount;
	}
	public Integer getChannelNewCount() {
		return channelNewCount;
	}
	public void setChannelNewCount(Integer channelNewCount) {
		this.channelNewCount = channelNewCount;
	}
	public Integer getChannelCompleteCount() {
		return channelCompleteCount;
	}
	public void setChannelCompleteCount(Integer channelCompleteCount) {
		this.channelCompleteCount = channelCompleteCount;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Integer getUserCount() {
		return userCount;
	}
	public void setUserCount(Integer userCount) {
		this.userCount = userCount;
	}

	public Integer getReceiveCount() {
		return receiveCount;
	}
	public void setReceiveCount(Integer receiveCount) {
		this.receiveCount = receiveCount;
	}
	public Integer getCompleteCount() {
		return completeCount;
	}
	public void setCompleteCount(Integer completeCount) {
		this.completeCount = completeCount;
	}

	public List<DepCountBo> getList() {
		return list;
	}
	public void setList(List<DepCountBo> list) {
		this.list = list;
	}
	public List<AdminCustomerBo> getaList() {
		return aList;
	}
	public void setaList(List<AdminCustomerBo> aList) {
		this.aList = aList;
	}



}
